Contains the logic for the keyMapping

class

  KeyContainer

### Hierarchy

- KeyContainer

## Index

### Properties

- keyMapReversed
- skipKeys

### Methods

- addCmdToSkipKeys
- buildReversedKeymap
- getKeys
- getKeysReversed
- getSkipKeys
- getValue
- init

### Object literals

- keyMap

## Properties

### keyMapReversed

keyMapReversed: object

- Defined in key-container.ts:134

Reversed map (value: key) for easy mapping code -> word

#### Type declaration

- ##### [keyCode: number]: string

### skipKeys

skipKeys: ISkipKey[] = [{ name: 'shift', code: 16 },{ name: 'ctrl', code: 17 },{ name: 'alt', code: 18 }]

- Defined in key-container.ts:125

## Methods

### addCmdToSkipKeys

- addCmdToSkipKeys(skipKeys: ISkipKey[], cmd: number[]): Array<ISkipKey>

- - Defined in key-container.ts:184

  #### Parameters

  - ##### skipKeys: ISkipKey[]

  - ##### cmd: number[]

  #### Returns Array<ISkipKey>

### buildReversedKeymap

- buildReversedKeymap(keymap: any): object

- - Defined in key-container.ts:190

  #### Parameters

  - ##### keymap: any

  #### Returns object

  - ##### [keyCode: number]: string

### getKeys

- getKeys(): object

- - Defined in key-container.ts:163

  #### Returns object

  - ##### [a: string]: number | number[]

### getKeysReversed

- getKeysReversed(): object

- - Defined in key-container.ts:167

  #### Returns object

  - ##### [keyCode: number]: string

### getSkipKeys

- getSkipKeys(): Array<ISkipKey>

- - Defined in key-container.ts:171

  #### Returns Array<ISkipKey>

### getValue

- getValue(key: string): number | number[]

- - Defined in key-container.ts:175

  #### Parameters

  - ##### key: string

  #### Returns number | number[]

### init

- init(platform: any, userAgent: any): void

- - Defined in key-container.ts:142

  Initializes the keyMaps

  #### Parameters

  - ##### platform: any

  - ##### userAgent: any

  #### Returns void

## Object literals

### keyMap

keyMap: object

- Defined in key-container.ts:31

Map of allowed keys

### ,

,: number = 188

- Defined in key-container.ts:73

### .

.: number = 190

- Defined in key-container.ts:74

### 0

0: number = 48

- Defined in key-container.ts:33

### 1

1: number = 49

- Defined in key-container.ts:34

### 2

2: number = 50

- Defined in key-container.ts:35

### 3

3: number = 51

- Defined in key-container.ts:36

### 4

4: number = 52

- Defined in key-container.ts:37

### 5

5: number = 53

- Defined in key-container.ts:38

### 6

6: number = 54

- Defined in key-container.ts:39

### 7

7: number = 55

- Defined in key-container.ts:40

### 8

8: number = 56

- Defined in key-container.ts:41

### 9

9: number = 57

- Defined in key-container.ts:42

### a

a: number = 65

- Defined in key-container.ts:45

### alt

alt: number = 18

- Defined in key-container.ts:79

### b

b: number = 66

- Defined in key-container.ts:46

### backspace

backspace: number = 8

- Defined in key-container.ts:86

### c

c: number = 67

- Defined in key-container.ts:47

### ctrl

ctrl: number = 17

- Defined in key-container.ts:78

### d

d: number = 68

- Defined in key-container.ts:48

### down

down: number = 40

- Defined in key-container.ts:85

### e

e: number = 69

- Defined in key-container.ts:49

### end

end: number = 35

- Defined in key-container.ts:90

### enter

enter: number = 13

- Defined in key-container.ts:87

### f

f: number = 70

- Defined in key-container.ts:50

### f1

f1: number = 112

- Defined in key-container.ts:111

### f10

f10: number = 121

- Defined in key-container.ts:120

### f11

f11: number = 122

- Defined in key-container.ts:121

### f12

f12: number = 123

- Defined in key-container.ts:122

### f2

f2: number = 113

- Defined in key-container.ts:112

### f3

f3: number = 114

- Defined in key-container.ts:113

### f4

f4: number = 115

- Defined in key-container.ts:114

### f5

f5: number = 116

- Defined in key-container.ts:115

### f6

f6: number = 117

- Defined in key-container.ts:116

### f7

f7: number = 118

- Defined in key-container.ts:117

### f8

f8: number = 119

- Defined in key-container.ts:118

### f9

f9: number = 120

- Defined in key-container.ts:119

### g

g: number = 71

- Defined in key-container.ts:51

### h

h: number = 72

- Defined in key-container.ts:52

### home

home: number = 36

- Defined in key-container.ts:91

### i

i: number = 73

- Defined in key-container.ts:53

### j

j: number = 74

- Defined in key-container.ts:54

### k

k: number = 75

- Defined in key-container.ts:55

### l

l: number = 76

- Defined in key-container.ts:56

### left

left: number = 37

- Defined in key-container.ts:82

### m

m: number = 77

- Defined in key-container.ts:57

### n

n: number = 78

- Defined in key-container.ts:58

### num*

num*: number = 106

- Defined in key-container.ts:104

### num+

num+: number = 107

- Defined in key-container.ts:105

### num-

num-: number = 109

- Defined in key-container.ts:106

### num.

num.: number = 110

- Defined in key-container.ts:107

### num/

num/: number = 111

- Defined in key-container.ts:108

### num0

num0: number = 96

- Defined in key-container.ts:94

### num1

num1: number = 97

- Defined in key-container.ts:95

### num2

num2: number = 98

- Defined in key-container.ts:96

### num3

num3: number = 99

- Defined in key-container.ts:97

### num4

num4: number = 100

- Defined in key-container.ts:98

### num5

num5: number = 101

- Defined in key-container.ts:99

### num6

num6: number = 102

- Defined in key-container.ts:100

### num7

num7: number = 103

- Defined in key-container.ts:101

### num8

num8: number = 104

- Defined in key-container.ts:102

### num9

num9: number = 105

- Defined in key-container.ts:103

### o

o: number = 79

- Defined in key-container.ts:59

### p

p: number = 80

- Defined in key-container.ts:60

### pagedown

pagedown: number = 34

- Defined in key-container.ts:89

### pageup

pageup: number = 33

- Defined in key-container.ts:88

### q

q: number = 81

- Defined in key-container.ts:61

### r

r: number = 82

- Defined in key-container.ts:62

### right

right: number = 39

- Defined in key-container.ts:83

### s

s: number = 83

- Defined in key-container.ts:63

### shift

shift: number = 16

- Defined in key-container.ts:77

### t

t: number = 84

- Defined in key-container.ts:64

### u

u: number = 85

- Defined in key-container.ts:65

### up

up: number = 38

- Defined in key-container.ts:84

### v

v: number = 86

- Defined in key-container.ts:66

### w

w: number = 87

- Defined in key-container.ts:67

### x

x: number = 88

- Defined in key-container.ts:68

### y

y: number = 89

- Defined in key-container.ts:69

### z

z: number = 90

- Defined in key-container.ts:70

Generated using TypeDoc